Vagrant.configure("2") do |config|
  %w{
    amazonlinux-2023
    centos-8
    centos-9
    centos-10
    debian-11
    debian-12
    opensuse-15
    rockylinux-9
    ubuntu-20.04
    ubuntu-22.04
    ubuntu-24.04
  }.each do |os|
    config.vm.define os do |node|
      case os
      when  "opensuse-15"
        box = "bento/opensuse-leap-15"
      when "centos-8"
        box = "bento/almalinux-8"
      when "centos-9"
        box = "bento/almalinux-9"
      when "centos-10"
        box = "almalinux/10-kitten"
      else
        box = "bento/#{os}"
      end
      node.vm.box = box
      node.vm.hostname = "server.example.org"
      node.vm.synced_folder "data/", "/data"

      node.vm.provider "virtualbox" do |vb|
        vb.memory = 4096
        vb.cpus = 2
      end
    end
  end
end
